using Enums;

namespace Xyz {
	public class Factory {
		public Thing CreateThing( ExpressiveThing expressiveThingOne, EnumOne enumOne, ExpressiveThing expressiveThingTwo ) {
			return new SimpleThing( expressiveThingOne, enumOne, expressiveThingTwo );
		}

		public Thing CreateThing( Thing thingOne, EnumTwo enumTwo, Thing thingTwo ) {
			return new LogicalThing( thingOne, enumTwo, thingTwo );
		}

		public ThingName CreateThingName( string name ) {
			return new ThingName( name );
		}

		public ThingName CreateThingName( string name, string nameTwo ) {
			return new ThingName( name, nameTwo );
		}

		public Literal CreateLiteral( object literal ) {
			return new Literal();
		}
	}
}